Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.extensions
Class ExtensionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.xsl.XSLException
                  com.novell.xsl.process.ProcessException
                      com.novell.xsl.extensions.ExtensionException

All Implemented Interfaces:
  Serializable

    public class ExtensionException

extends ProcessException

Exception class for XSLT processing (execution) errors

See Also:
  Serialized Form

Field Summary
`static String` | `MULTIPLE_JAVA_CONSTRUCTORS`
`static String` | `MULTIPLE_JAVA_METHODS`
`static String` | `NO_ECMASCRIPT_INTERPRETER`
`static String` | `NO_EXTENSION_FUNCTION_FOUND`

Fields inherited from class com.novell.xsl.process.ProcessException
`ATTRIBUTE_AFTER_CHILD, ATTRIBUTE_SET_CIRCULAR, ATTRIBUTE_SET_NOT_FOUND, CIRCULAR_DEFINITION, EXPRESSION_ERROR, INFINITE_LOOP, INVALID_LANGUAGE, INVALID_NAME, INVALID_PARENT, INVALID_SORT_CASEORDER, INVALID_SORT_DATATYPE, INVALID_SORT_ORDER, INVALID_VALUE, MESSAGE_TERMINATION, NO_CURRENT_TEMPLATE_RULE, NOT_FOUND, RESULT_HANDLER_ERROR, UNKNOWN_EXTENSION_ELEMENT, UNSUPPORTED_SORT_DATATYPE`

Fields inherited from class com.novell.xsl.XSLException
`ERROR_PROLOGUE, INVALID_RESULT_HANDLER, STYLESHEET_PARM_ERROR, WARNING_PROLOGUE`

Constructor Summary
`ExtensionException(String key)` Construct an instance based on a message format string with no parameters
`ExtensionException(String key, Object[] parms)` Construct an instance based on a message format string with n parameters
`ExtensionException(String key, String parm0)` Construct an instance based on a message format string with one parameter
`ExtensionException(String key, String parm0, String parm1)` Construct an instance based on a message format string with two parameters

Method Summary
`static String` | `constructMessage(String key, Object[] parms)` Construct a message from a format message in the properties file and an array of parameters

Methods inherited from class com.novell.xsl.XSLException
`isError`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MULTIPLE_JAVA_CONSTRUCTORS

    public static final String MULTIPLE_JAVA_CONSTRUCTORS

See Also:
  Constant Field Values

### MULTIPLE_JAVA_METHODS

    public static final String MULTIPLE_JAVA_METHODS

See Also:
  Constant Field Values

### NO_EXTENSION_FUNCTION_FOUND

    public static final String NO_EXTENSION_FUNCTION_FOUND

See Also:
  Constant Field Values

### NO_ECMASCRIPT_INTERPRETER

    public static final String NO_ECMASCRIPT_INTERPRETER

See Also:
  Constant Field Values

Constructor Detail

### ExtensionException

    public ExtensionException(String key)

  Construct an instance based on a message format string with no parameters

  Parameters:
    `key` - The key of the message format string in the properties file

### ExtensionException

    public ExtensionException(String key,
                              String parm0)

  Construct an instance based on a message format string with one parameter

  Parameters:
    `key` - The key of the message format string in the properties file
    `parm0` - The first parameter for the message format string

### ExtensionException

    public ExtensionException(String key,
                              String parm0,
                              String parm1)

  Construct an instance based on a message format string with two parameters

  Parameters:
    `key` - The key of the message format string in the properties file
    `parm0` - The first parameter for the message format string
    `parm1` - The second parameter for the message format string

### ExtensionException

    public ExtensionException(String key,
                              Object[] parms)

  Construct an instance based on a message format string with n parameters

  Parameters:
    `key` - The key of the message format string in the properties file
    `parms` - The parameters for the message format string

Method Detail

### constructMessage

    public static String constructMessage(String key,
                                          Object[] parms)

  Construct a message from a format message in the properties file and an array of parameters

  Parameters:
    `key` - The key of the message format string in the properties file
    `parms` - The parameters for the message format string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD